%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           translate-toolkit
Version:        1.7.0
Release:        4%{?dist}
Summary:        Tools to assist with translation and software localization

Group:          Development/Tools
License:        GPLv2+
URL:            http://translate.sourceforge.net/wiki/toolkit/index
Source0:        http://downloads.sourceforge.net/project/translate/Translate%20Toolkit/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0:         translate-toolkit-1.5.3-stoplist.patch
Patch1:         translate-toolkit-1.5.0-langmodel_dir.patch
Patch2:         translate-toolkit-1.7.0-lang_zh_lamba.patch
Patch3:         translate-toolkit-1.7.0-bug603597_r14946_moz2po_needs_output_dir.patch

BuildArch:      noarch
BuildRequires:  python2-devel
# The following are needed for man page generation
BuildRequires:  python-lxml
BuildRequires:  python-simplejson
BuildRequires:  python-vobject
Requires:       gettext-libs
Requires:       python-enchant
Requires:       python-iniparse
Requires:       python-Levenshtein
Requires:       python-lxml
%ifarch %{ix86}
Requires:       python-psyco
%endif
Requires:       python-simplejson
Requires:       python-vobject
Requires:       aeidon


%description
A set of tools for managing translation and software localization via 
Gettext PO or XLIFF format files.

Including:
  * Convertors: convert from various formats to PO or XLIFF
  * Formats:
    * Core localization formats - XLIFF and Gettext PO
    * Other localization formats - TMX, TBX, Qt Linguist (.ts), 
           Java .properties, Wordfast TM, OmegaT glossary
    * Compiled formats: Gettext MO, Qt .qm
    * Other formats - OpenDocument Format (ODF), text, HTML, CSV, INI, 
            wiki (MediaWiki, DokuWiki), iCal
    * Specialised - OpenOffice.org GSI/SDF, PHP,
            Mozilla (.dtd, .properties, etc), Symbian,
            Innosetup, tikiwiki, subtitles
  * Tools: count, search, debug, segment and pretranslate localization 
            files. Extract terminology. Pseudo-localize
  * Checkers: validate translations with over 45 checks

%package devel
Summary:        Development API for %{name} applications
Group:          Development/Tools
License:        GPLv2+
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains Translate Toolkit API 
documentation for developers wishing to build new tools for the 
toolkit or to use the libraries in other localization tools.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p2
%patch3 -p2


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# create manpages
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
for program in $RPM_BUILD_ROOT/%{_bindir}/*; do
    case $(basename $program) in
      pocompendium|poen|pomigrate2|popuretext|poreencode|posplit|\
      pocount|poglossary|lookupclient.py|tmserver|build_tmdb|\
      junitmsgfmt)
       ;;
      *)
        LC_ALL=C PYTHONPATH=. $program --manpage \
          >  $RPM_BUILD_ROOT/%{_mandir}/man1/$(basename $program).1 \
          || rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/$(basename $program).1
          ;;
    esac
done

# remove documentation files from site-packages
rm -r $RPM_BUILD_ROOT/%{python_sitelib}/translate/doc
rm $RPM_BUILD_ROOT/%{python_sitelib}/translate/{COPYING,ChangeLog,LICENSE,README}
rm $RPM_BUILD_ROOT/%{python_sitelib}/translate/{convert,filters,tools}/TODO
rm $RPM_BUILD_ROOT/%{python_sitelib}/translate/misc/README

# Move data files to /usr/share
mkdir  $RPM_BUILD_ROOT/%{_datadir}/translate-toolkit
mv $RPM_BUILD_ROOT/%{python_sitelib}/translate/share/stoplist* $RPM_BUILD_ROOT/%{_datadir}/translate-toolkit
mv $RPM_BUILD_ROOT/%{python_sitelib}/translate/share/langmodels $RPM_BUILD_ROOT/%{_datadir}/translate-toolkit
rmdir $RPM_BUILD_ROOT/%{python_sitelib}/translate/share


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc translate/ChangeLog translate/COPYING translate/README
%doc translate/doc/user/toolkit-[a-z]*
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/translate-toolkit
%{python_sitelib}/translate*

%files devel
%defattr(-,root,root,-)
%doc translate/doc/api/*


%changelog
* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jul 22 2010 Dwayne Bailey <dwayne@translate.org.za> - 1.7.0-3
- Depend on aeidon for subtitle support
- Backport r14946 to fix rhbz#603597 - moz2po output to directory

* Mon Jun 7 2010 Dwayne Bailey <dwayne@translate.org.za> - 1.7.0-2
- Backport upstream r14600 to fix rhbz#600561

* Thu May 13 2010 Dwayne Bailey <dwayne@translate.org.za> - 1.7.0-1
- Update to 1.7.0
   - Support for Array constructs in the PHP converter
   - Detect the target language from the PO team header
   - Improvements in detecting languages for many other formats
   - Correctly migrate the header comments from the old PO file in pot2po
   - Handle certain malformed PO files better
   - Reliability improvements for Qt TS and XLIFF
   - Support for longer terminology entries
   - New plural information: Sinhala (si), Aragonese (an), 
     Catalan (Valencia) (ca@valencia), Romansh (rm), Tatar (tt)
   - Some language specific customisations for Sinhala and Thai.
   - New: junitmsgfmt, runs msgfmt and provides junit-type output for use 
     in continuous integration systems such as Hudson.
   - Reliability improvements for Lucene when Pootle is under Apache
   - Correctly use the header encoding when opening .mo files
   - Avoid adding an extra type comment line (#,) (bug 1400)
   - Support any delimiter (=, : or space) in po2prop as we do in prop2po
   - Better handling of non-default encodings for .rc files

* Fri Mar 19 2010 Dwayne Bailey <dwayne@translate.org.za> - 1.6.0-1
- Update to 1.6.0
   - Improvements to quality tests for speed and accuracy
   - Improvements to language specific quality checks
   - Small improvements to the handling of incorrect PO files
   - Better support for the newer comment types in TS
   - Several small improvements and corrections to XLIFF and TS
   - Many API improvements and cleanups for the upcoming Pootle and Virtaal
   - Fix a bug when Virtaal opened files in paths with non-ASCII characters
   - The Toolkit now always creates headers for PO files
   - A better XML placeable with support for XML namespaces
   - A small bug with a single space unit as seen in abrt (bug 1370). This
     also fixes the resulting error in Virtaal.

* Fri Feb 19 2010 Dwayne Bailey <dwayne@translate.org.za> - 1.5.3-2
- Use python2-devel in BuildRequires

* Tue Feb 2 2010 Dwayne Bailey <dwayne@translate.org.za> - 1.5.3-1
- Update to 1.5.3
   - Plural information for more languages
   - Cleaner language names (for the benefit of Pootle and Virtaal)
   - Skype support for prop2po and po2prop [by Filip Miletić]
   - Small improvement to Qt .ts support
   - Other small bugfixes
- Redo stoplist patch
- Drop gaupol and iniparse from BuildRequires

* Mon Jan 11 2010 Dwayne Bailey <dwayne@translate.org.za> - 1.5.2-1
- Update to 1.5.2
   - Initial support for '#' type comments in the PHP converters (#1298)
   - Reliability improvements for Pootle concerning Xapian and Python 2.4
   - A small fix affecting searching in Virtaal
   - Classify XML tags as editable placeables for Virtaal (#1287)
   - Correctly handle language codes with '@' in them (like ca@valencia)
   - Don't unnecessarily add empty 'note' nodes in XLIFF (#1319)
   - Allow for the translation of 'title' attributes in XML (#1294)

* Thu Nov 26 2009 Dwayne Bailey <dwayne@translate.org.za> - 1.5.1-1
- Update to 1.5.1
   - Support for OmegaT glossary files
   - Fixes for the fast (but still experimental) C PO parser
   - Fixes for the LRU cache
   - Fixes for correct and faster language identification
- Remove backports introduced in 1.5.0-1

* Tue Nov 24 2009 Dwayne Bailey <dwayne@translate.org.za> - 1.5.0-1
- Update to 1.5.0
  - The tmserver will now be multithreaded if cherrypy is installed
  - New faster PO parser for testing
  - Optionally preserve HTML comments in html2po. Bug #1183
  - Many reliability and API improvements for the upcoming versions of Pootle and Virtaal 
- Move langmodels into /usr/share/translate-toolkit
- Remove backports introduced in 1.4.1-2
- Backports:
   - r13226, r13234 - fix and optimise language identification
   - r13225 - check for units based on source and target text

* Tue Nov 3 2009 Dwayne Bailey <dwayne@translate.org.za> - 1.4.1-2
- Backport various fixes needed for Pootle 1.3
   - r12685 index speedup
   - r12686 id index
   - r12724 hassuggestion speedup
   - r12727 msgidcomment

* Thu Oct 15 2009 Dwayne Bailey <dwayne@translate.org.za> - 1.4.1-1
- Update to 1.4.1
   - Better support for printf (including numbered) variables (bug 1118)
   - Fixes for the upcoming Pootle, including combined searches (bug 1036)
   - subtle bug in tmserver handling of the percent sign (%) (bug 1101)
   - obsolete messages seen as translatable (bug 1114)
- Drop patch bug#1114 - obsolete messages should not be translatable

* Mon Aug 24 2009 Dwayne Bailey <dwayne@translate.org.za> - 1.4.0-2
- Upstream bug #1114 - obsolete messages should not be translatable

* Wed Aug 5 2009 Dwayne Bailey <dwayne@translate.org.za> - 1.4.0-1
- Update to 1.4.0 final

* Fri Jul 31 2009 Dwayne Bailey <dwayne@translate.org.za> - 1.4.0-0.5.rc2
- Fix tarball reference

* Fri Jul 31 2009 Dwayne Bailey <dwayne@translate.org.za> - 1.4.0-0.4.rc2
- Update to 1.4.0 rc2
   - Some small fixes for XLIFF support
   - API documentation has been augmented with diagrams

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-0.3.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 24 2009 Dwayne Bailey <dwayne@translate.org.za> - 1.4.0-0.2.rc1
- Update to 1.4.0 rc1

* Sat Jun 27 2009 Dwayne Bailey <dwayne@translate.org.za> - 1.4.0-0.1.beta1
- Update to 1.4.0 beta1

* Fri Jun 12 2009 Dwayne Bailey <dwayne@translate.org.za> - 1.3.0-3
- Remove old excludes for /usr/bin/*.py{o,c}

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Dwayne Bailey <dwayne@translate.org.za> - 1.3.0-1
- Update to 1.3.0 final release

* Tue Feb 3 2009 Dwayne Bailey <dwayne@translate.org.za> - 1.3.0-0.2.rc1
- Update to 1.3.0 rc1

* Thu Jan 22 2009 Dwayne Bailey <dwayne@translate.org.za> - 1.3.0-0.1.beta1
- Update to 1.3.0 beta1

* Sat Dec 6 2008 Dwayne Bailey <dwayne@translate.org.za> - 1.2.1-1
- Update to 1.2.1
- Refresh poterminology patch

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.2.0-4
- Rebuild for Python 2.6

* Mon Nov 17 2008 Dwayne Bailey <dwayne@translate.org.za> - 1.2.0-3
- Rebuild using %%{ix86} instead of i386

* Mon Nov 17 2008 Dwayne Bailey <dwayne@translate.org.za> - 1.2.0-2
- python-psyco is only available on i386

* Wed Nov 12 2008 Dwayne Bailey <dwayne@translate.org.za> - 1.2.0-1
- Update to 1.2.0
- Patch poterminology to read stoplist-en from /usr/share/
- Add devel package to include generated Translate Toolkit API documentation
- Add dependencies: python-iniparse, python-Levenshtein, python-lxml,
  python-psyco, python-vobject, gettext-libs

* Fri Jun 06 2008 Roozbeh Pournader <roozbeh@gmail.com> - 1.1.1-1
- update to 1.1.1

* Mon Jan 21 2008 Jens Petersen <petersen@redhat.com> - 1.0.1-1
- update license field to GPLv2+
- update to 1.0.1 with changes from Dwayne Bailey (#315021):

* Thu Dec 20 2007 Dwayne Bailey <dwayne@translate.org.za>
- Update spec to upstream 1.0.1
- Update patch for Python 2.5 ElementTree
- Cleanup the doc installation
- Create man pages
- Update description

* Sat May 05 2007 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.11-1
- Update to upstream 0.11, adding HTML documentation

* Tue Jan 09 2007 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.10.1-4
- Patch to use Python 2.5's built-in ElementTree

* Sat Dec 30 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.10.1-3
- Rebuild to fix dependency problem

* Sat Dec 09 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.10.1-2
- Rebuild for Python 2.5

* Thu Nov 09 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.10.1-1
- Update to upstream 0.10.1
- Cleanup based on latest Python packaging guidelines

* Wed Nov 08 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.8-2
- Rebuild to get into Rawhide

* Mon Feb 20 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.8-1
- Update to final 0.8

* Sun Feb 19 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.8-0.10.rc6
- Fix a typo in po2dtd that made po2moz fail

* Tue Feb 14 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.8-0.9.rc6
- Rebuild for Fedora Extras 5

* Tue Feb 07 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.8-0.8.rc6
- Require python-enchant for spellchecking support in pofilter

* Sat Feb 04 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.8-0.7.rc6
- Rebuild

* Sat Feb 04 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.8-0.6.rc6
- Update to 0.8rc6

* Sat Jan 21 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.8-0.5.rc5
- Use sed instead of dos2unix

* Mon Jan 09 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.8-0.4.rc5
- Own forgotten subdirectories

* Mon Jan 09 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.8-0.3.rc5
- Fix the jToolkit requirement

* Sun Jan 08 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.8-0.2.rc5
- Add %%{?dist} tag

* Sat Jan 07 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.8-0.1.rc5
- Initial packaging
